--- title: "Get Attacks for Rules Configuration" slug: "get-attacks-for-rules-configuration-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:44Z published: 2026-11-19T12:57:44Z canonical: "docs.trellix.com/get-attacks-for-rules-configuration-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Attacks for Rules Configuration This URL is used to retrieve attack lists. ### Resource URL GET /globalautoack/attack/ ### Request Parameters URL Parameters: N/A ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `attackId` | Attack id | String | | `attackName` | Attack name | String | ### Example **Request** GET [https:///sdkapi/globalautoack/attacks/malware](https://<NSM_IP>/sdkapi/globalautoack) **Response** ``` { [ “attackId”:”0x23323223” “attackName”:“malwareBlocklist” ] } ``` ### Error Information N/A